<!DOCTYPE html>
<html ng-app="PanelApp">

<head>
    <meta charset="utf-8">
    <link rel="stylesheet" href="panel.css">
    <script src="angular.min.js" type="application/javascript"></script>
    <script src="panel.js" type="module"></script>
</head>

<body ng-controller="PanelController" ng-keypress="onKeyPressed($event)">
<span id="notice">{{ notice() }}</span>
<div id="form-container">
    <input id="filter" type="text" ng-model="searchText" autofocus>
    <div id="sort-check-container">
        <input id="reverse-sort" type="checkbox" ng-model="isSortReversed">
        <label for="reverse-sort"></label>
    </div>

</div>

<ul>
    <li ng-repeat="link in links | filter:searchFuzzily | orderBy:'title':isSortReversed"
        ng-class="getLinkClass(link, $index, $first, $last)"
        title="{{link.title}}"
        id="link-{{$index}}"
    >
        <img ng-src="{{link.favicon}}" alt="O">
        <span class="text" ng-mouseup="onLinkClicked($event, link)">
            {{ link.title }}
        </span>
        <span class="remove" ng-click="removeLink(link)" >X</span>
    </li>
</ul>
<p ng-hide="links.length">Loading...</p>
</body>
</html>

